Update or transfer the Business Representative for the specified Business Profile.
Set updateContext to UPDATE_DETAILS to update the existing Business Representative's details, or TRANSFER_OF_AUTHORISATION to transfer authority of the Business Profile to a new Business Representative.
If the Business Representative has been verified then there are restrictions on what information is allowed to change.
If this Business Representative is shared across multiple Business Profiles, then changes will be reflected for all of the Business Profiles.
When using TRANSFER_OF_AUTHORISATION, this will overwrite the existing Business Representative. The new Business Representative will need to be verified for KYC purposes.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Context of the update.
First name of the person representing the business (including middle names).
- Production Environmenthttps://api.wise.com/v3/profiles/{profileId}/business-profile/business-representative
- Sandbox Environmenthttps://api.wise-sandbox.com/v3/profiles/{profileId}/business-profile/business-representative
- Update Details
- Transfer of Authorisation
curl -i -X PUT \
'https://api.wise.com/v3/profiles/{profileId}/business-profile/business-representative' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"updateContext": "UPDATE_DETAILS",
"contactDetails": {
"email": "o.wilson@example.com",
"phoneNumber": "+3725064992"
}
}'Business representative updated successfully.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
No content